centos低版本安装git 2.*

2017年5月2日 由 Creater 留言 »

centos通过yum install git安装后默认为1.7,但是不支持https与ssh私有项目clone。
升级步骤,看似简单,但是中途会出现一些错误:

wget -O git.zip https://github.com/git/git/archive/master.zip
make prefix=/usr/local/git all 
make install

前向依赖

# yum install curl-devel expat-devel gettext-devel openssl-devel zlib-devel
# yum install gcc perl-ExtUtils-MakeMaker
广告位

发表评论

你必须 登陆 方可发表评论.